Subject: Re: FVWM: Netscape 4.7 source window not managed by fvwm2

From: Dominik Vogt <[email-masked]>
Date: Wed, 1 Mar 2000 10:32:02 +0100

On Tue, Feb 29, 2000 at 02:57:06PM +0100, [email-masked] wrote:
> On Mon, Feb 28, 2000 at 12:11:10PM +0100, Dominik Vogt wrote:
> > On Sat, Feb 26, 2000 at 02:59:54PM -0500, [email-masked] wrote:
> > > "Jan T. Kim" <[email-masked]> writes:
> 
> > > > recently, I installed fvwm 2.2.4 on a Compaq (formerly DEC) Alpha
> > > > workstation running OSF1 V4.0e. All works well -- the system looks &
> > > > feels like my Linux box...  ;-)  except one little quirk: When I
> > > > display a HTML source window with netscape communicator 4.7, the
> > > > window appears is not managed by FVWM at all after initial placement.
> > > > It receives no decorations, thus I cannot move / raise / lower /
> > > > iconify etc. the window using the standard mouse operations. The
> > > > window can be iconized with FvwmIconMan, though, and it can be
> > > > deleted by invoking FVWM's delete function via a popup menu.
> 
> > That you can iconify the window proves that the window is indeed
> > managed.
> 
> True -- I must admit that I didn't choose the wording in the subject
> 100% accurately. Also, the initial placement interaction indicates
> management, of course.
> 
> > > I'm not sure what you mean by a "HTML Source window",
> > 
> > I guess he means the window you get with 'View page source'
> > entry from the right mouse button menu over a html window.
> 
> Yep.
> 
> > You can check if the window is transient with the FvwmIdent module.
> > (simply start it, select the window and look for the line
> > 'Transient:     Yes/No').
> 
> No, it's not the transient window handling, described in the FAQ. The
> "Find" dialog box receives standard decorations.
> 
> > > If its just a case of all Netscape windows lacking decoration,
> > > then I would expect something like:
> > > 
> > > Style "Netscape*" NoTitle, HandleWidth 0
> 
> No, it wasn't this -- I found the line that causes the trouble:
> 
>     Style "*"  MWMFunctions, MWMDecor, HintOverride
> 
> After commenting this out, the "View Source" window of netscape
> receives normal decorations. With a little more experimentation, I
> found out that the "MWMDecor" style option is responsible for the
> problem. As I don't know about MWM and its particular decoration
> behaviour, I still don't fully understand why the HTML source window
> of all netscape windows elicits this effect. Perhaps, there's
> something unclean in the netscape code that causes uninitialized
> garbage to be passed as window manager flag arrays...?

:-) You'd better ask the netscape developers about this.  If
the window is not decorated because of the MWMDecor hint, then
netscape must have explicitly requested that the window is not
decorated.

> I must admit that I "inherited" the trouble making line from the system
> default fvwm2 startup file that came with my Linux distribution, and I
> just put this ~/.fvwm2rc file (which I modified quite extensively, yet
> without looking at all the "inherited" stuff in detail) from the Linux
> box mentioned above to the Alpha workstation.

Bye

Dominik ^_^

-- 
Dominik Vogt, Agilent Technologies, Dept. BVS
Herrenberger Str.130, 71034 Boeblingen, Germany
phone: 07031/464-4596, fax: 07031/464-3883, [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].